#
# spec file for package ddd (Version 3.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel gpp libgpp mm openmotif openmotif-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp mm modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         ddd
Copyright:    GPL
Group:        Development/Debuggers
Requires:     gdb
Autoreqprov:  on
Version:      3.3
Release:      132
Summary:      Debugger with graphical user interface
Source:       ddd-%{version}.tar.bz2
Source1:      ddd-%{version}-html-manual.tar.gz
Patch:        ddd-ia64.dif
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
The DDD debugger (Data Display Debugger) is a comfortable GUI to the
well-known debuggers GDB and DBX. Data structures can be represented as
graphs and interactively shown. You can debug programs in C, C++,
Pascal, MODULA-2, FORTRAN and ADA, and even at the assembler code level!

Authors:
--------
    Andreas Zeller <zeller@ips.cs.tu-bs.de>
    Dorothea Luetkehaus <luetke@ips.cs.tu-bs.de>

SuSE series: xdev

%prep
%define apache_docroot %(apxs -q PREFIX)/htdocs
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -f libiberty readline/support}}
./configure --prefix=/usr --host=${RPM_ARCH}-suse-linux \
            --mandir=%{_mandir} --infodir=%{_infodir}
make 

%install
rm -rf $RPM_BUILD_ROOT
make  install DESTDIR=$RPM_BUILD_ROOT
mkdir -p  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
install -m 644  ddd/Ddd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/
install -m 755 pydb/pydb.py $RPM_BUILD_ROOT/%{_bindir}
install -m 755 pydb/pydbcmd.py $RPM_BUILD_ROOT/%{_bindir}
install -m 755 pydb/pydbsupt.py $RPM_BUILD_ROOT/%{_bindir}
mkdir doc-html
tar xvfzC $RPM_SOURCE_DIR/ddd-%{version}-html-manual.tar.gz doc-html
#install doc/ddd.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
# %defattr(644, root, root)
%doc BUGS ANNOUNCE COPYING* NEWS PROBLEMS README TODO
%doc doc-html/ddd-%{version}/doc/html/
%doc doc/ddd-paper.ps doc/*.pdf doc/sample.dddinit
%config /usr/X11R6/lib/X11/app-defaults/Ddd
%attr(755, root, root) /usr/bin/ddd
%attr(755, root, root) /usr/bin/*.py
%{_mandir}/man1/ddd.*
%{_infodir}/ddd*
/usr/share/ddd-%{version}/ddd 
/usr/share/ddd-%{version}/themes 
/usr/share/ddd-%{version}/vsllib

%changelog -n ddd
* Mon Jun 04 2001 - pblaha@suse.cz
- fix cast pointer on ia64
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Wed Apr 04 2001 - schwab@suse.de
- Add %%suse_update_config.
* Tue Mar 13 2001 - pblaha@suse.cz
- update on new version 3.3
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Fri Dec 08 2000 - schwab@suse.de
- Add %%suse_update_config.
- Fix compilation problem.
* Mon Nov 20 2000 - pblaha@suse.cz
- support for openmotif
* Fri Sep 29 2000 - ro@suse.de
- regenerate lex/bison sources
- removed patch to yacctoC.bison to make it compile again
* Mon May 22 2000 - bubnikv@suse.cz
- moved doc to %%{_defaultdocdir}
- added buildroot
* Tue Feb 22 2000 - fehr@suse.de
- changed to new version 3.2.1
- added html manual
* Mon Feb 07 2000 - fehr@suse.de
- set build architecture correct
* Tue Feb 01 2000 - fehr@suse.de
- add small change to circumvent compiler bug on axp
* Mon Jan 24 2000 - fehr@suse.de
- changed to new version 3.2
* Mon Jan 10 2000 - fehr@suse.de
- changed to new version 3.1.6
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 26 1999 - schwab@suse.de
- Define HAVE_STREAMS for linux again
- Handle getpt under HAVE_STREAMS
- Check isastream before using STREAMS ioctls
* Sun Jul 18 1999 - kukuk@suse.de
- Don't define HAVE_STREAMS for linux
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
* Tue Jul 06 1999 - ro@suse.de
- cahnged to new version 3.1.4
* Tue Sep 22 1998 - ro@suse.de
- ddd/TTYAgent.C: supply proper definition for ioctl for each libc
* Thu Jul 09 1998 - fehr@suse.de
- Changed to version 3.0
* Wed Mar 11 1998 - fehr@suse.de
- Changed to version 2.2.3
* Tue Dec 09 1997 - ro@suse.de
- build static and dynamic version
* Mon Oct 13 1997 - fehr@suse.de
- Changed to Version 2.1.1 of ddd
- prepare package for automatic build
* Mon Mar 24 1997 - fehr@suse.de
- Changed to Version 2.0 of ddd
- Integrated the follwing patches to original 2.0 ddd:
  "dbx-comments-stripped, linux-userinfo, source-sash, xdb-list"
